import { EventEmitter } from '@angular/core';
import { AEMComponentDirective } from '../aem-component.directive';
import * as i0 from "@angular/core";
export declare class AEMModelProviderComponent {
    /**
     * Path to the model associated with the current instance of the component
     */
    cqPath: any;
    /**
     * Model item associated with the current model provider component
     */
    cqItem: any;
    /**
     * Name of the item associated with the current model provider component
     */
    itemName: any;
    aemModelProvider: any;
    pagePath: any;
    itemPath: any;
    updateDataPath: EventEmitter<any>;
    cqItemLoaded: Promise<boolean>;
    aemComponent: AEMComponentDirective;
    constructor();
    /**
     * Updates the item data
     */
    updateItem(): void;
    ngOnInit(): Promise<void>;
    ngDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AEMModelProviderComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AEMModelProviderComponent, "aem-model-provider,[aemModelProvider]", never, { "cqPath": "cqPath"; "cqItem": "cqItem"; "itemName": "itemName"; "aemModelProvider": "aemModelProvider"; "pagePath": "pagePath"; "itemPath": "itemPath"; }, { "updateDataPath": "updateDataPath"; }, never, never>;
}
