export declare const Constants: {
    /**
     * Class names associated with a new section component
     *
     */
    NEW_SECTION_CLASS_NAMES: string;
    /**
     *  CSS Class names applied to a component.
     */
    APPLIED_CLASS_NAMES: string;
    TYPE_PROP: string;
    /**
     * List of child items of an item
     *
     */
    ITEMS_PROP: string;
    /**
     * Order in which the items should be listed
     *
     */
    ITEMS_ORDER_PROP: string;
    /**
     * Path of the item
     *
     */
    PATH_PROP: string;
    /**
     * Children of an item
     *
     */
    CHILDREN_PROP: string;
    /**
     * Path of the resource in the model
     *
     */
    DATA_PATH_PROP: string;
    /**
     * Hierarchical type of the item
     */
    HIERARCHY_TYPE_PROP: string;
    /**
     * Event which indicates that content of remote component has been fetched and loaded in the app
     */
    ASYNC_CONTENT_LOADED_EVENT: string;
};
