/**
 * Helper functions for interacting with the AEM environment.
 */
export declare const Utils: {
    /**
     * Is the app used in the context of the AEM Page editor.
     */
    isInEditor(): boolean;
    /**
     * Determines the cqPath of a component given its props
     *
     * @private
     * @returns cqPath of the component
     */
    getCQPath(pagePath: string, itemPath?: string): string;
};
