import { Resolve, ActivatedRouteSnapshot } from '@angular/router';
import * as i0 from "@angular/core";
export declare class AemPageDataResolver implements Resolve<string> {
    constructor();
    /**
     * Returns the absolute resource path without extension.
     * @example
     * // returns: '/content/aa/bb' for route.url [ 'content', 'aa', 'bb.html' ]
     * resolve(route)
     * @param route - route
     * @returns absolute resource path without extension
     */
    resolve(route: ActivatedRouteSnapshot): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<AemPageDataResolver, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<AemPageDataResolver>;
}
